ValidatePublisher
Restarts domain verification for a publisher that is FAILED or SUSPENDED. The publisher returns to ACTION_REQUIRED with a new domainChallenge, which the response includes. Update the Domain Name System (DNS) TXT record with the new recordValue. The previous value no longer verifies the domain. The request fails with ConflictException if the publisher is ACTIVE, verification is already in progress (ACTION_REQUIRED), or the publisher is being deleted.
Request Syntax
POST /publishers/publisherArn/verification HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- publisherArn
-
The Amazon Resource Name (ARN) of the publisher to verify again.
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:(aws|aws-cn|aws-us-gov):[a-z0-9-]+::[0-9]{12}:[a-zA-Z0-9._/-]+Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"createdAt": number,
"domainChallenge": {
"recordName": "string",
"recordValue": "string"
},
"identifierType": "string",
"publisherArn": "string",
"status": "string",
"statusReason": "string",
"tags": {
"string" : "string"
},
"updatedAt": number,
"value": { ... }
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- createdAt
-
The date and time that the publisher was created.
Type: Timestamp
- domainChallenge
-
The new DNS TXT record to create to verify that you control the publisher's domain.
Type: DomainChallenge object
- identifierType
-
The type of the publisher's identifier.
DOMAINis the only supported value.Type: String
Valid Values:
DOMAIN - publisherArn
-
The Amazon Resource Name (ARN) of the publisher.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:(aws|aws-cn|aws-us-gov):[a-z0-9-]+::[0-9]{12}:[a-zA-Z0-9._/-]+ - status
-
The domain verification status of the publisher. After verification restarts, the status is
ACTION_REQUIRED.Type: String
Valid Values:
ACTION_REQUIRED | ACTIVE | FAILED | SUSPENDED | DELETING - statusReason
-
The reason for the publisher's current status. Present only when a reason is available.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 255.
Pattern:
[\P{C}\t\r\n]* -
The tags attached to the publisher.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 50 items.
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Key Pattern:
[a-zA-Z0-9\s._:/=+@-]*Value Length Constraints: Minimum length of 0. Maximum length of 256.
Value Pattern:
[a-zA-Z0-9\s._:/=+@-]* - updatedAt
-
The date and time that the publisher was last updated.
Type: Timestamp
- value
-
The domain that the publisher represents.
Type: Identifier object
Note: This object is a Union. Only one member of this object can be specified or returned.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The caller is not authorized to perform the requested action.
HTTP Status Code: 403
- ConflictException
-
The request conflicts with the current state of the resource.
HTTP Status Code: 409
- InternalServerException
-
The request failed due to an unexpected internal error; the caller may retry.
HTTP Status Code: 500
- ThrottlingException
-
The request was denied due to request throttling; the caller may retry after a delay.
HTTP Status Code: 429
- ValidationException
-
The request failed validation of one or more input fields.
- fieldList
-
The list of input fields that failed validation.
- reason
-
The reason the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: